Skip navigation
Glenn Hegar
Texas Comptroller of Public Accounts
Glenn Hegar
Texas Comptroller of Public Accounts
Glenn Hegar
Texas Comptroller of Public Accounts

The Comptroller of Public Accounts strongly encourages all Texans to adopt secure computing practices. It is important that you upgrade operating systems and web browsers on all devices to the latest version.

Customers using unsecured and unsupported software will be denied access to Comptroller’s websites and applications.

Below is a list of acceptable versions of the most used web browsers:

  • Apple Safari version 7 or greater
  • Google Chrome version 32 or greater
  • Google Android OS Browser in Android 5.0 or greater
  • Mozilla Firefox 27 or greater
  • Mozilla Firefox ESR 31.0 or greater
  • Microsoft Edge, all versions
  • Microsoft Internet Explorer 11
  • Microsoft Internet Explorer Mobile 11 or greater
  • Opera Browser 17 or greater
  • Microsoft Internet Explorer 8, 9 or 10 require TLS 1.2 to be enabled in advanced settings

How to Update…

Enable support for TLS 1.2 in Internet Explorer:

  1. Open Internet Explorer.
  2. Select Tools > Internet Options.
  3. Select the Advanced tab.
  4. Scroll to the Security section.
  5. Check the Use TLS 1.2 checkbox to use strict encryption, and then click OK.

HB855 Browser Statement

In 2015, the Texas Legislature passed House Bill 855, which requires state agencies to publish a list of the three most commonly used Web browsers on their websites. The Texas Comptroller’s most commonly used Web browsers are Google Chrome, Microsoft Internet Explorer and Apple Safari.

We support: